Subject: Re: Kernel panic when loading the IDE controller driver

From: sgosavi1 <[email-masked]>
Date: Fri, 15 Feb 2019 04:27:53 -0700 (MST)

Hi,

> Hopefully there are examples of passing these values through ACPI.

Are you suggesting here to look at the ide-acpi.c sourc file available as
part of the driver code? In my original post I mentioned that I have
modified the ide-generic.c source file to use the IO port addresses and IRQ
number that we used in the older kernel. Also, added code in the kernel
under arch/PowerPC/mm/init_32.c source to configure the addresses required
by the driver as IO ports. But the error I am getting still continues to
suggest that probably the required address range is still setup by the
kernel as IO ports. 

How can we configure a set of virtual address as IO ports in the kernel
version 4.15.13?

Sachin 

--
Sent from: http://linuxppc.10917.n7.nabble.com/linuxppc-dev-f3.html